## EMBOSS: revseq

# Program revseq

## Function

Reverse and complement a sequence

## Description

This takes a sequence and outputs the reverse complement (also known as the anti-sense or reverse sense) sequence.

It can also output just the reversed sequence or just the complement of the sequence.

## Usage

To create the reverse sense of the sequence 'rcr.seq' and output to the file 'rcr.rev':

    % revseq rcr.seq rcr.rev

To create the complement of the sequence 'rcr.seq' and output to the file 'rcr.rev':

    % revseq rcr.seq rcr.rev -norev

To create the reverse of the sequence 'rcr.seq' and output to the file 'rcr.rev':

    % revseq rcr.seq rcr.rev -nocomp

## Command line arguments

       Mandatory qualifiers:
      [-sequence]          seqall     Sequence database USA
      [-outseq]            seqoutall  Output sequence(s) USA

       Optional qualifiers: (none)
       Advanced qualifiers:
       -[no]reverse        bool       Set this to be false if you do not wish to
                                      reverse the output sequence
       -[no]complement     bool       Set this to be false if you do not wish to
                                      complement the output sequence

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
[-outseq] (Parameter 2) | Output sequence(s) USA | Writeable sequence(s) | <sequence>.format
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
-[no]reverse | Set this to be false if you do not wish to reverse the output sequence | Yes/No | Yes
-[no]complement | Set this to be false if you do not wish to complement the output sequence | Yes/No | Yes

## Input file format

The input sequence can be one or more sequences.

## Output file format

One or more sequences are written out.

## Data files

## Notes

## References

## Warnings

## Diagnostic Error Messages

## Exit status

It always exits with status 0.

## Known bugs

Bugs noted but not yet fixed.

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Writes a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Excludes a set of sequences and writes out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
splitter | Split a sequence into (overlapping) smaller sequences
swissparse | Retrieves sequences from swissprot using keyword search
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

This application was written by Gary Williams (gwilliam@hgmp.mrc.ac.uk)

## History

Completed 26 Jan 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments